Name:           bluez-firmware
Version:        1.2
Release:        2
Summary:        Bluetooth firmware distributed by the BlueZ project

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://www.bluez.org/
Source0:        http://bluez.sourceforge.net/download/bluez-firmware-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
ExclusiveArch:  noarch i386 x86_64 ppc ppc64

%description
This package contains firmware files distributed by the BlueZ project. These
files are required for the proper operation of some bluetooth adapters.


%prep
%setup -q


%build
./configure --libdir=/lib


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog broadcom/BCM-LEGAL.txt
# Broadcom firmware
/lib/firmware/BCM-LEGAL.txt
/lib/firmware/BCM2033-*
# ST Microelectronics firmware
/lib/firmware/STLC2500_R4*


%changelog
* Wed Aug 29 2007 Will Woods <wwoods@redhat.com> 1.2-2
- change configure to use /lib instead of the _lib macro (which could expand to
  /lib64 on some arches, which would be the wrong place)
- use full URL in Source0: line

* Mon Aug 27 2007 Will Woods <wwoods@redhat.com> 1.2-1
- Initial packaging
